%define anolis_release 2
%global pypi_name tpm2-pytss
%global _name tpm2_pytss
%bcond_with check

Name:           python-%{pypi_name}
Version:        1.2.0
Release: 	%{anolis_release}%{?dist}
Summary:        TPM 2.0 TSS Bindings for Python

License:        BSD-2-Clause
URL:            https://github.com/tpm2-software/tpm2-pytss
Source:         %{pypi_source %{pypi_name}}
Patch0:         python-tpm2-pytss-1.2.0-openssl.patch

BuildRequires:  python3-devel
BuildRequires:  tpm2-tss-devel >= 2.0.0
BuildRequires:  gcc
# for tests
%if %{with check}
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-xdist
BuildRequires:  swtpm
BuildRequires:  tpm2-tools
%endif

%global _description %{expand:
TPM2 TSS Python bindings for Enhanced System API (ESYS), Feature API (FAPI),
Marshaling (MU), TCTI Loader (TCTILdr) and RC Decoding (rcdecode) libraries.
It also contains utility methods for wrapping keys to TPM 2.0 data structures
for importation into the TPM, unwrapping keys and exporting them from the TPM,
TPM-less makecredential command and name calculations, TSS2 PEM Key format
support, importing Keys from PEM, DER and SSH formats, conversion from
tpm2-tools based command line strings and loading tpm2-tools context files.
}

%description %{_description}

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %{_description}

%package -n     python3-%{pypi_name}-doc
Summary:        Doc files for python3-%{pypi_name}
Requires:	python3-%{pypi_name} = %{EVR}

%description -n python3-%{pypi_name}-doc
Doc files for python3-%{pypi_name}

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files %{_name}


%if %{with check}
%check
%pyproject_check_import
%pytest --import-mode=append -k "not test_tools_decode_tpms_nv_public" -n %{_smp_build_ncpus}
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}

%files -n python3-%{pypi_name}-doc
%doc README.md

%changelog
* Wed Mar 27 2024 Bo Ren <rb01097748@alibaba-inc.com> - 1.2.0-2
- Rebuild with python3.11

* Tue Apr 04 2023 happy_orange <songnannan@linux.alibaba.com> - 3.0.0-1
- init package
